Subject: bug#19229: ispell on Windows

From: Alan Third <[email-masked]>
Date: Wed, 20 May 2015 19:53:22 +0100

I've been fighting with hunspell on Windows too and I finally got a
solution that works for me from
http://emacs.stackexchange.com/questions/5756/call-process-and-hunspell-in-emacs-24-4.

Ultimately it's the LANG environment variable, or in the case of
Windows the lack of it. I found that with LANG set to "en_GB" I didn't
need any other configuration to get hunspell working. I didn't even
need to tell emacs to use hunspell.

Irritatingly OS X sets LANG to "en_GB.UTF-8", which seems to break
ispell too. Setting it as just plain "en_GB" fixes it there too.

It appears the new version of ispell in 24.4+ is very heavily
dependent on LANG to the extent that explicitly setting
ispell-dictionary won't over-ride it.

-- 
Alan Third